% Get the range of values that can be assumed by combinations of
% mixture components within a subset of variables.

function [maximal_z z_universe] = get_z_range(subset)

global pi_z;

maximal_z = 1;
n = length(subset);

for i = 1:n
    maximal_z = maximal_z * length(pi_z{subset(i)});
end
z_universe = 1:maximal_z;

